Open SCAP Library

Data Structures | Typedefs | Functions
oval_variableBinding.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_agent_api_impl.h"`
`#include "oval_definitions_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`

## Data Structures
struct | oval_variable_binding
| Binding of an value to an OVAL variable. More...

## Typedefs
typedef struct oval_variable_binding | oval_variable_binding_t

## Functions
bool | oval_variable_binding_iterator_has_more (struct oval_variable_binding_iterator *oc_variable_binding)
struct oval_variable_binding * | oval_variable_binding_iterator_next (struct oval_variable_binding_iterator *oc_variable_binding)
void | oval_variable_binding_iterator_free (struct oval_variable_binding_iterator *oc_variable_binding)
struct oval_variable * | oval_variable_binding_get_variable (struct oval_variable_binding *binding)
struct oval_string_iterator * | oval_variable_binding_get_values (struct oval_variable_binding *binding)
void | oval_variable_binding_set_variable (struct oval_variable_binding *binding, struct oval_variable *variable)
void | oval_variable_binding_add_value (struct oval_variable_binding *binding, char *value)
struct oval_variable_binding * | oval_variable_binding_new (struct oval_variable *variable, char *value)
struct oval_variable_binding * | oval_variable_binding_clone (struct oval_variable_binding *old_binding, struct oval_definition_model *def_model)
void | oval_variable_binding_free (struct oval_variable_binding *binding)
int | oval_variable_binding_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_variable_binding_consumer consumer, void *client)
void | oval_variable_binding_to_dom (struct oval_variable_binding *binding, xmlDoc *doc, xmlNode *parent_tag)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/